Summary:	Linux USB utilities
Name:		usbutils
Version:	007
Release:	2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://github.com/gregkh/usbutils
Source:		https://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.gz
#Path to usb.ids in lsusb.py should be with /hwdata/
Patch0: usbutils-006-hwdata.patch
Requires: hwdata
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.8

%description
This package contains the lsusb utility for inspecting the devices 
connected to the USB bus. It shows a graphical representation of the 
devices that are currently plugged in, showing the topology of the 
USB bus. It also displays information on each individual device on 
the bus.

%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--disable-zlib \
	--sbindir=%{_sbindir} \
	--datadir=%{_datadir}/hwdata \
	--disable-usbids
%make

%install
%makeinstall_std

# do not package usb.ids, handled by hwdata
rm -f %{buildroot}/%{_datadir}/usb.ids

%files
%{_bindir}/*
%{_mandir}/*/*

%files devel
%doc AUTHORS ChangeLog README
%{_datadir}/pkgconfig/usbutils.pc

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 007-2
+ Revision: 1907656
- MassBuild#440: Increase release tag


